/* Custom styles goes here */
.readonly-control {
    background-color: #f2f2f3 !important;
}

    .readonly-control :focus-within {
        background-color: #f2f2f3 !important;
    }
.sm-font{
    font-size:0.68rem;
}
.sm-font-1 {
    font-size: 0.78rem;
}
.sm-font-2 {
    font-size: 0.88rem;
}
.sm-font-3 {
    font-size: 0.98rem;
}
.table-container {
    max-height: 380px; /* control table height */
    overflow-y: auto;
    overflow-x: hidden;
}

.table-header th {
    position: sticky;
    top: 0;
    background: #f8f9fa; /* light gray for header */
    z-index: 2;
    box-shadow: 0 2px 2px rgba(0,0,0,0.05);
}

.tbl-text-wrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 165px; /* Set a maximum width as per your layout */
}

.tbl-header-small-size {
    font-size: 12px !important;
}

.tbl-small-size {
    font-size: 13px !important;
}

.exceeds-limit {
    border-color: red;
}

.fixed-margin {
    margin: 5px;
    float: left
}

.form-control-banner-seq {
    display: block;
    width: 100%;
    padding: 5px 10px;
    font-size: 0.9375rem;
    font-weight: 400;
    line-height: 1.375;
    color: #433c50;
    appearance: none;
    background-color: transparent;
    background-clip: padding-box;
    border: 1px solid #d1cfd4;
    border-radius: 0.375rem;
}

.board {
    display: flex;
    gap: 20px;
    padding: 20px;
    overflow-x: auto;
}

.column {
    background: #fff;
    border-radius: 10px;
    padding: 15px;
    width: 250px;
    flex-shrink: 0;
    box-shadow: 0 4px 12px rgba(0,0,0,0.05);
}

    .column h4 {
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 15px;
    }

.card-lead {
    background: #fff;
    border-radius: 10px;
    padding: 12px;
    margin-bottom: 10px;
    cursor: grab;
    border: 1px solid #e5e7eb;
    box-shadow: 0 2px 6px rgba(0,0,0,0.05);
    transition: transform 0.2s;
}

    .card-lead:hover {
        transform: scale(1.02);
    }

.team-fs {
    font-size: 0.66rem !important;
    font-weight: 500;
}

.team-tbl-header {
    font-size: 10px !important;
    font-weight: bolder;
    padding: 14px 9px !important;
    text-align: center;
    vertical-align: middle;
}
/* First column (TeamName) */
.team-tbl-body-first {
    font-weight: bold;
    font-size: 11px !important;
    text-align: center;
    background-color: #f6f7fb !important;
}

/* Regular cells */
.team-tbl-body-rest {
    font-size: 12px !important;
    text-align: center;
    font-weight: bold;
}

/* Last column (row totals) */
.row-total-cell {
    font-weight: bold;
    background-color: #f0f8ff !important;
}

/* Last row (grand total row) */
.grand-total-row-cell {
    font-weight: bold;
    text-align: center;
    background-color: #e6ffe6 !important;
}

/* Special highlight for bottom-right cell */
.grand-total-cell {
    font-weight: bold;
    background-color: #c0ffc0 !important;
    color: #000 !important;
}

.chart-container {
    position: relative;
    height: 350px; /* Set chart height */
    max-height: 400px;
    width: 100%;
    margin: 0 auto;
}

#agentPerformanceChart {
    width: 100% !important;
    height: 100% !important;
}

.custom-pad > :not(caption) > * > * {
    padding: 0.484rem 0.75rem !important;
}

.custom-pad th {
    padding: 0.884rem 0.75rem !important;
}

.custom-pad-1 > :not(caption) > * > * {
    padding: 0.8rem 0.55rem !important;
}

.custom-pad-1 th {
    padding: 0.8rem 0.55rem !important;
}

.pricing-plans .col-lg .card-body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.pricing-plans .col-lg .list-group {
    flex-grow: 1; /* takes remaining space */
}
.pricing-plans .col-lg .card {
    height: 100%;
}